JobControllerJobRunEventCount Method |
POST /Job/JobRunEventCount/
Gets the number of job run events with the given information.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("JobRunEventCount")]
public HttpResponseMessage JobRunEventCount(
[FromBodyAttribute] QueryJobRunEventOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("JobRunEventCount")>
Public Function JobRunEventCount (
<FromBodyAttribute> options As QueryJobRunEventOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"JobRunEventCount")]
HttpResponseMessage^ JobRunEventCount(
[FromBodyAttribute] QueryJobRunEventOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("JobRunEventCount")>]
member JobRunEventCount :
[<FromBodyAttribute>] options : QueryJobRunEventOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsQueryJobRunEventOptions
An object that carries all needed information about the job run events that need to retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessageAn
Int32, or a status code indicating the problem.
See Also